Bug 869682 - VM-runtime-only display information is presented by api after VM goes down
VM-runtime-only display information is presented by api after VM goes down
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi (Show other bugs)
3.2.0
Unspecified Unspecified
unspecified Severity low
: ---
: 3.2.0
Assigned To: Ravi Nori
Ido Begun
infra
:
Depends On:
Blocks: 877088 915537
  Show dependency treegraph
 
Reported: 2012-10-24 10:49 EDT by David Jaša
Modified: 2016-02-10 14:16 EST (History)
11 users (show)

See Also:
Fixed In Version: SF4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 877088 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Jaša 2012-10-24 10:49:33 EDT
Description of problem:
VM-runtime-only display information is presented by api after VM goes down

Version-Release number of selected component (if applicable):
si19.1 / 3.1.0-18

How reproducible:
always

Steps to Reproduce:
1. power up VM, power down VM
2. show VM properties
3.
  
Actual results:
    <status>
        <state>down</state>
    </status>
    ...
    <display>
        ...
        <address>10.34.58.5</address>
        <port>5920</port>
        <secure_port>5921</secure_port>
        ...
    </display>


Expected results:
no address, port and secure_port elements are displayed as they make no sense when the VM is down. The same may be true for <start_time> element possibly.

Additional info:
Comment 1 Ravi Nori 2012-11-06 12:49:33 EST
link : http://gerrit.ovirt.org/#/c/9090/

hash: 032603c9bc4e670c75aa68e87406b044d59e5819
Comment 2 Ravi Nori 2012-11-06 12:51:58 EST
Change id: Ie36fa8049c8ddad483e7e16f13a3d0a029f8f218
Comment 4 Ido Begun 2013-01-08 01:48:26 EST
Tested on SF3:

Repeating the scenario mentioned in the bug description, results remain the same - both display information and start time are displayed when VM is down.
Comment 5 Michael Pasternak 2013-01-08 01:57:45 EST
this patch did not get in to the SF3
Comment 6 Ido Begun 2013-01-27 01:47:11 EST
OK - SF4

Display address, port, secure port and start time are no longer displayed when VM is down.
Comment 7 Itamar Heim 2013-06-11 05:02:06 EDT
3.2 has been released
Comment 8 Itamar Heim 2013-06-11 05:02:12 EDT
3.2 has been released
Comment 9 Itamar Heim 2013-06-11 05:02:20 EDT
3.2 has been released
Comment 10 Itamar Heim 2013-06-11 05:03:04 EDT
3.2 has been released
Comment 11 Itamar Heim 2013-06-11 05:32:18 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.